package com.sisoft.sharedpreference2;

import android.content.Context;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.support.v7.app.AppCompatActivity;
import android.util.Log;
import android.widget.TextView;

public class MainActivity extends AppCompatActivity {

    TextView tv1, tv2 , tv3 ;
    private static final String TAG = "MainActivity";

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        Log.d(TAG, "onCreate:");
        
        tv2 = (TextView) findViewById(R.id.textview2);
        
        SharedPreferences sp = getPreferences(Context.MODE_PRIVATE);
        int val = sp.getInt("Access_Count", 5);
        
        tv2.setText(""+val);
        
        SharedPreferences.Editor spe = sp.edit() ;
        val = val + 1 ;
        spe.putInt("Access_Count",val) ;
        spe.apply();

        Log.d(TAG, "onCreate: ends");
    }
}
